org.appng.api.search

## Class DocumentProducer

- java.lang.Object
- - org.appng.api.search.BlockingQueueAccessor<E>
  - - org.appng.api.search.Producer<DocumentEvent>
    - - org.appng.api.search.DocumentProducer

-     public class DocumentProducer
      extends Producer<DocumentEvent>

  A `Producer` that produces `DocumentEvent`s. TODO appng-search is the better place for this
  Author:
    Matthias Müller
  See Also:
    `Producer`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentProducer(Class<? extends org.apache.lucene.analysis.Analyzer> analyzerClass, String name)` Creates a new `DocumentProducer` with a queue size of 500
    `DocumentProducer(int queueSize, Class<? extends org.apache.lucene.analysis.Analyzer> analyzerClass, String name)` Creates a new `DocumentProducer`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends org.apache.lucene.analysis.Analyzer>` | `getAnalyzerClass()` Returns the type of the `Analyzer` used by this `DocumentProducer`.
    `String` | `getName()`

    - ### Methods inherited from class org.appng.api.search.BlockingQueueAccessor

      `get, get, getBlockingQueue, getWithTimeout, put, put, putWithTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentProducer

          public DocumentProducer(int queueSize,
                                  Class<? extends org.apache.lucene.analysis.Analyzer> analyzerClass,
                                  String name)

      Creates a new `DocumentProducer`
      Parameters:
        `queueSize` - the queue size for this producer
        `analyzerClass` - the type of the `Analyzer` to use for indexing the document
        `name` - the name for this producer

    - #### DocumentProducer

          public DocumentProducer(Class<? extends org.apache.lucene.analysis.Analyzer> analyzerClass,
                                  String name)

      Creates a new `DocumentProducer` with a queue size of 500
      Parameters:
        `analyzerClass` - the type of the `Analyzer` to use for indexing the document
        `name` - the name for this producer

  - ### Method Detail

    - #### getAnalyzerClass

          public Class<? extends org.apache.lucene.analysis.Analyzer> getAnalyzerClass()

      Returns the type of the `Analyzer` used by this `DocumentProducer`.
      Returns:
        the type of the `Analyzer`

    - #### getName

          public String getName()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.